User account creation filtered due to spam.

Bug 29449 - OBJECT_FORMAT_ELF not defined for the AVR target
Summary: OBJECT_FORMAT_ELF not defined for the AVR target
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: target (show other bugs)
Version: 4.1.1
: P3 normal
Target Milestone: 4.1.2
Assignee: Not yet assigned to anyone
URL:
Keywords:
Depends on: 18553
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-13 09:40 UTC by Dean Camera
Modified: 2007-04-09 23:38 UTC (History)
2 users (show)

See Also:
Host:
Target: avr
Build:
Known to work:
Known to fail:
Last reconfirmed:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dean Camera 2006-10-13 09:40:06 UTC
The preprocessor token "OBJECT_FORMAT_ELF" is incorrectly not defined for the AVR target (AVR-GCC). The AVR target uses the ELF object format, thus this token should be defined.

Without the token, specifying the valid "-ffunction-sections" compiler switch causes AVR-GCC to incorrectly give the warning "-ffunction-sections may affect debugging on some targets".
Comment 1 Andrew Pinski 2006-10-16 06:47:06 UTC
PR 18553.
Comment 2 aesok 2006-11-20 18:16:37 UTC
Subject: Bug 29449

Author: aesok
Date: Mon Nov 20 18:16:21 2006
New Revision: 119019

URL: http://gcc.gnu.org/viewcvs?root=gcc&view=rev&rev=119019
Log:
	PR target/18553
	PR target/29449
	* config/avr/avr.h (OBJECT_FORMAT_ELF): Define.

	* config/avr/avr.h (DWARF2_DEBUGGING_INFO): Define.

Modified:
    trunk/gcc/ChangeLog
    trunk/gcc/config/avr/avr.h

Comment 3 aesok 2006-11-20 18:23:26 UTC
Subject: Bug 29449

Author: aesok
Date: Mon Nov 20 18:23:13 2006
New Revision: 119020

URL: http://gcc.gnu.org/viewcvs?root=gcc&view=rev&rev=119020
Log:
	PR target/18553
	PR target/29449
	* config/avr/avr.h (OBJECT_FORMAT_ELF): Define.

	* config/avr/avr.h (DWARF2_DEBUGGING_INFO): Define.

Modified:
    branches/gcc-4_2-branch/gcc/ChangeLog
    branches/gcc-4_2-branch/gcc/config/avr/avr.h

Comment 4 aesok 2006-11-20 18:29:37 UTC
Subject: Bug 29449

Author: aesok
Date: Mon Nov 20 18:29:21 2006
New Revision: 119021

URL: http://gcc.gnu.org/viewcvs?root=gcc&view=rev&rev=119021
Log:
	PR target/18553
	PR target/29449
	* config/avr/avr.h (OBJECT_FORMAT_ELF): Define.

	* config/avr/avr.h (DWARF2_DEBUGGING_INFO): Define.

Modified:
    branches/gcc-4_1-branch/gcc/ChangeLog
    branches/gcc-4_1-branch/gcc/config/avr/avr.h

Comment 5 aesok 2006-11-20 18:34:25 UTC
Fixed in trunk, 4.2 and 4.1.